
Lookup Editor - Bug #1697

"Showing Entries for" pulldown menu in "lookup edit" not scrollable

01/20/2017 12:02 PM - mike see

Status: Closed Start date: 01/20/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.6   

Description

Platform: Splunk Cloud 6.5.0

Version: Lookup Editor

Browsers: Chrome current, IE 11

I have a (KV)  lookup that is owned by nobody, populated by an outputlookup in a scheduled job running as a named admin user.

Issue:

I cannot see any entries in the lookup edit interface, because:

- we have hundreds of users, and the "nobody" user is not visible in the first chunk of the pulldown

- the pulldown does not scroll ( i have tried, in both browsers, arrow keys, pgup/dn, mouse, and force of will, all without success)

- there is no "all" that shows all users' entries

Associated revisions

Revision 286 - 03/16/2017 09:43 PM - lukemurphey

Making the user dropdown easier to use

This change makes the user dropdown easier to use when there are lots of users.

Reference #1697.

History

#1 - 03/03/2017 07:51 PM - Luke Murphey

- Assignee set to Luke Murphey

- Target version set to 2.6

#2 - 03/16/2017 05:01 AM - Luke Murphey

https://silviomoreto.github.io/bootstrap-select/examples/

https://codepen.io/rustybailey/pen/GJjvYB

http://getbootstrap.com/2.3.2/javascript.html#typeahead

https://select2.github.io/examples.html

#3 - 03/16/2017 09:40 PM - Luke Murphey

The dropdown has been updated in that it:

Is scrollable

Puts the nobody user at the top

Put the owner and the current user in the second and third rows (since these are more likely to be clicked)

Sorts the other users in alphabetical order (makes them easier to find)
#4 - 03/16/2017 09:41 PM - Luke Murphey

I still would like to employ some filtering style of dropdown. I haven't found a good one that I like yet though.

#5 - 03/16/2017 09:44 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
